Go to the latest version of this document.

# ``twisted`.`python`.`_textattributes`.`_ColorAttribute``

class documentation

`class _ColorAttribute: (source)`

Constructor: `_ColorAttribute(ground, attrs)`

View In Hierarchy

A color text attribute.

Attribute access results in a color value lookup, by name, in _ColorAttribute.attrs.

Parameters
ground | Foreground or background color attribute to look color names up from.
attrs | Mapping of color names to color values.

Method | `__getattr__` | Undocumented
Method | `__init__` | Undocumented
Instance Variable | `attrs` | Undocumented
Instance Variable | `ground` | Undocumented

def __getattr__(self, name): (source)

Undocumented

def __init__(self, ground, attrs): (source)

Undocumented

attrs: Dict like object. = (source)

Undocumented

ground: `_ColorAttr` = (source)

Undocumented